Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.dr3d
Enum OdfTextureGenerationModeYType

    java.lang.Object
      java.lang.Enum<OdfTextureGenerationModeYType>
          org.odftoolkit.odfdom.dom.type.dr3d.OdfTextureGenerationModeYType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextureGenerationModeYType>

    public enum OdfTextureGenerationModeYType

extends Enum<OdfTextureGenerationModeYType>

DOM implementation of OpenDocument attribute dr3d:texture-generation-mode-y.

Enum Constant Summary
`OBJECT`
`PARALLEL`
`SPHERE`

Method Summary
`static OdfTextureGenerationModeYType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextureGenerationModeYType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextureGenerationModeYType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextureGenerationModeYType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OBJECT

    public static final OdfTextureGenerationModeYType OBJECT

### SPHERE

    public static final OdfTextureGenerationModeYType SPHERE

### PARALLEL

    public static final OdfTextureGenerationModeYType PARALLEL

Method Detail

### values

    public static OdfTextureGenerationModeYType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextureGenerationModeYType c : OdfTextureGenerationModeYType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextureGenerationModeYType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextureGenerationModeYType>`
  Returns:
    return the name of OdfTextureGenerationModeYType

### toString

    public static String toString(OdfTextureGenerationModeYType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextureGenerationModeYType, see dr3d:texture-generation-mode-y
  Returns:
    return the name of OdfTextureGenerationModeYType

### enumValueOf

    public static OdfTextureGenerationModeYType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextureGenerationModeYType
  Returns:
    return the constant of OdfTextureGenerationModeYType, see dr3d:texture-generation-mode-y

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.